Bug 553345

Summary: Review Request: ibus-table-tv - The Thai and (Viqr) Vietnamese tables for IBus-Table
Product: [Fedora] Fedora Reporter: caius.chance
Component: Package ReviewAssignee: Chen Lei <supercyper1>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, me, notting, supercyper1
Target Milestone: ---Keywords: i18n
Target Release: ---Flags: supercyper1: fedora-review+
kevin: fedora-cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-29 00:58:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description caius.chance 2010-01-07 16:53:24 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100108-1.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 1 Caius Chance 2010-03-05 07:39:31 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100305-1.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 2 Caius Chance 2010-03-05 08:12:51 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100305-1.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 3 Caius Chance 2010-03-10 07:14:32 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100305-3.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 4 Chen Lei 2010-04-04 08:01:45 UTC
1.URL:        http://github.com/kaio/ibus-table-cyrillic/ 
not right
2.
%define old_ver 1.2.0.20100305
Provides:         ibus-table-thai = %{old_ver}
Obsoletes:        ibus-table-thai < %{old_ver}

not need

Comment 5 Caius Chance 2010-04-04 09:36:13 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100305-4.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 6 Caius Chance 2010-04-04 11:10:56 UTC
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-tv.spec
SRPM URL:
http://kaio.fedorapeople.org/pkgs/ibus-table-tv-1.2.0.20100305-5.fc12.src.rpm
Description: The Thai and (Viqr) Vietnamese tables for IBus-Table

Comment 7 Chen Lei 2010-04-04 11:29:27 UTC
formal review here:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
<<output if not already posted>>
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>765de0ac9819ea0906b9d5e28c9db5d8
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[N/A] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[N/A] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[N/A] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[N/A] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N/A] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg. A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed
files.    

================
*** APPROVED ***
================

Comment 8 Caius Chance 2010-04-04 11:53:24 UTC
New Package CVS Request
=======================
Package Name: ibus-table-tv
Short Description: The Thai and (Viqr) Vietnamese tables for IBus-Table
Owners: kaio
Branches: F-13
InitialCC: i18n-team

Comment 9 Kevin Fenzi 2010-04-05 04:00:39 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-04-05 15:50:34 UTC
ibus-table-tv-1.2.0.20100305-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-table-tv-1.2.0.20100305-5.fc13

Comment 11 Fedora Update System 2010-04-06 19:56:52 UTC
ibus-table-tv-1.2.0.20100305-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-tv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-table-tv-1.2.0.20100305-5.fc13

Comment 12 Caius Chance 2010-04-29 00:58:16 UTC
Will be replaced by ibus-table-others. Closing this bug ticket.